//
//  ParametersMenuView.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 21/05/2024.
//

import SwiftUI

enum AIT: String, CaseIterable, Identifiable, Hashable {
    case RandomAction = "IA Test"
    case EasyTrainedAI = "IA Facile"
    case MediumTrainedAI = "IA Intermédiaire"
    
    var id: String { self.rawValue }
}

struct ParametersMenuView: View {
    @State private var selectOption: AIT = .RandomAction
    var body: some View {
        VStack {
            DoushiQiPicker(title: "Selectionne une IA :",
                           selectedOption: $selectOption,
                           options: AIT.allCases)
        }
    }
}

struct ParametersMenuView_Previews: PreviewProvider {
    static var previews: some View {
        ParametersMenuView()
    }
}
